## org.eclipse.datatools.enablement.sybase.asa.containment
Class SybaseASADatabaseContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.connectivity.sqm.internal.core.containment.DatabaseContainmentProvider
              org.eclipse.datatools.enablement.sybase.asa.containment.SybaseASADatabaseContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class SybaseASADatabaseContainmentProvider

extends org.eclipse.datatools.connectivity.sqm.internal.core.containment.DatabaseContainmentProvider

Constructor Summary
`SybaseASADatabaseContainmentProvider()`

Method Summary
`java.util.Collection` `getContainedElements(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
`getContainer, getContainmentFeature, isDisplayableElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASADatabaseContainmentProvider

    public SybaseASADatabaseContainmentProvider()

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainedElements` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainedElements` in class `org.eclipse.datatools.connectivity.sqm.internal.core.containment.DatabaseContainmentProvider`

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getGroupId` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getGroupId` in class `org.eclipse.datatools.connectivity.sqm.internal.core.containment.DatabaseContainmentProvider`